> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ファイル処理を再試行

> ファイル処理を再試行します。



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/file/retry
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/file/retry:
    post:
      summary: ファイル処理を再試行
      description: ファイル処理を再試行します。
      operationId: retryFile
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: ワークスペース ID
                  example: 1234567890
                task_id:
                  type: string
                  description: タスク ID
                  example: 1234567890
                parser_params:
                  $ref: '#/components/schemas/DocumentParserParam'
              required:
                - workspace_id
                - task_id
      responses:
        '200':
          description: ファイル処理の再試行に成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
components:
  schemas:
    DocumentParserParam:
      type: object
      properties:
        formula_level:
          type: integer
          description: '数式認識レベル（0: 表示数式とインライン数式を認識、1: 表示数式のみ認識、2: 数式を認識しない）'
          example: 0
        apply_merge:
          type: integer
          description: 'ページをまたぐ段落とテーブルを結合（0: いいえ、1: はい）'
          example: 1
        table_text_split_mode:
          type: integer
          description: 'テーブル罫線と交差するテキストブロックを分割（0: いいえ、1: はい）'
          example: 0
        crop_dewarp:
          type: integer
          description: 'クロップと歪み補正（0: いいえ、1: はい）'
          example: 0
        remove_watermark:
          type: integer
          description: '透かし除去（0: いいえ、1: はい）'
          example: 0
        dpi:
          type: integer
          description: 'ファイル解像度（144: デフォルト、216: 高精度）'
          example: 144
          enum:
            - 144
            - 216
        parse_mode:
          type: string
          description: |
            解析モード
            - `auto`: 自動（デフォルト）
            - `scan`: スキャン文書モード
            - `vlm`: VLM モード
          example: auto
          enum:
            - auto
            - scan
            - vlm
        pdf_pwd:
          type: string
          description: 暗号化 PDF ファイルを復号するための PDF パスワード
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````